From a92970b3168f1841a82fa2be6f82791388444b9d Mon Sep 17 00:00:00 2001
From: Bastian Bittorf <bittorf@bluebottle.com>
Date: Fri, 24 Oct 2014 21:20:18 +0200
Subject: [PATCH] kernel: makefile: make use of new var KERNEL_PATCHVER

kernel: makefile: make use of new var KERNEL_PATCHVER

replace all occurences of LINUX_VERSION with the cleaner
approach. future kernel upgrades must mostly touch only
one file. the only platform left is netlogic, because it
uses a intermediate kernel 3.14.16

Signed-off-by: Bastian Bittorf <bittorf@bluebottle.com>
---
 target/linux/adm5120/Makefile      |    2 +-
 target/linux/adm8668/Makefile      |    2 +-
 target/linux/amazon/Makefile       |    2 +-
 target/linux/ar7/Makefile          |    2 +-
 target/linux/ar71xx/Makefile       |    2 +-
 target/linux/at91/Makefile         |    2 +-
 target/linux/atheros/Makefile      |    2 +-
 target/linux/au1000/Makefile       |    2 +-
 target/linux/avr32/Makefile        |    2 +-
 target/linux/bcm53xx/Makefile      |    2 +-
 target/linux/brcm2708/Makefile     |    2 +-
 target/linux/brcm47xx/Makefile     |    2 +-
 target/linux/brcm63xx/Makefile     |    2 +-
 target/linux/cns21xx/Makefile      |    2 +-
 target/linux/cns3xxx/Makefile      |    2 +-
 target/linux/cobalt/Makefile       |    2 +-
 target/linux/ep93xx/Makefile       |    2 +-
 target/linux/gemini/Makefile       |    2 +-
 target/linux/imx6/Makefile         |    2 +-
 target/linux/iop32x/Makefile       |    2 +-
 target/linux/ipq806x/Makefile      |    2 +-
 target/linux/ixp4xx/Makefile       |    2 +-
 target/linux/kirkwood/Makefile     |    2 +-
 target/linux/lantiq/Makefile       |    2 +-
 target/linux/malta/Makefile        |    2 +-
 target/linux/mcs814x/Makefile      |    2 +-
 target/linux/mpc52xx/Makefile      |    2 +-
 target/linux/mpc83xx/Makefile      |    2 +-
 target/linux/mpc85xx/Makefile      |    2 +-
 target/linux/mvebu/Makefile        |    2 +-
 target/linux/mxs/Makefile          |    2 +-
 target/linux/octeon/Makefile       |    2 +-
 target/linux/omap/Makefile         |    2 +-
 target/linux/omap24xx/Makefile     |    2 +-
 target/linux/orion/Makefile        |    2 +-
 target/linux/ppc40x/Makefile       |    2 +-
 target/linux/ppc44x/Makefile       |    2 +-
 target/linux/pxa/Makefile          |    2 +-
 target/linux/ramips/Makefile       |    2 +-
 target/linux/rb532/Makefile        |    2 +-
 target/linux/realview/Makefile     |    2 +-
 target/linux/sibyte/Makefile       |    2 +-
 target/linux/sparc/Makefile        |    2 +-
 target/linux/sunxi/Makefile        |    2 +-
 target/linux/uml/Makefile          |    2 +-
 target/linux/x86/Makefile          |    2 +-
 target/linux/x86/ep80579/target.mk |    2 +-
 target/linux/x86_64/Makefile       |    2 +-
 target/linux/xburst/Makefile       |    2 +-
 49 files changed, 49 insertions(+), 49 deletions(-)

diff --git a/target/linux/adm5120/Makefile b/target/linux/adm5120/Makefile
index 2500f90..e58122d 100644
--- a/target/linux/adm5120/Makefile
+++ b/target/linux/adm5120/Makefile
@@ -9,7 +9,7 @@ include $(TOPDIR)/rules.mk
 
 BOARD:=adm5120
 BOARDNAME:=Infineon/ADMtek ADM5120
-LINUX_VERSION:=3.8.13
+KERNEL_PATCHVER:=3.8
 SUBTARGETS:=router_le router_be rb1xx
 INITRAMFS_EXTRA_FILES:=
 
diff --git a/target/linux/adm8668/Makefile b/target/linux/adm8668/Makefile
index de3b9e7..2220bbd 100644
--- a/target/linux/adm8668/Makefile
+++ b/target/linux/adm8668/Makefile
@@ -12,7 +12,7 @@ BOARDNAME:=Infineon WildPass ADM8668
 FEATURES:=squashfs usb pci
 MAINTAINER:=Florian Fainelli <florian@openwrt.org>
 
-LINUX_VERSION:=3.3.8
+KERNEL_PATCHVER:=3.3
 
 include $(INCLUDE_DIR)/target.mk
 
diff --git a/target/linux/amazon/Makefile b/target/linux/amazon/Makefile
index d2d4e8d..9553da0 100644
--- a/target/linux/amazon/Makefile
+++ b/target/linux/amazon/Makefile
@@ -10,7 +10,7 @@ ARCH:=mips
 BOARD:=amazon
 BOARDNAME:=Infineon Amazon
 FEATURES:=squashfs broken
-LINUX_VERSION:=3.3.8
+KERNEL_PATCHVER:=3.3
 
 include $(INCLUDE_DIR)/target.mk
 
diff --git a/target/linux/ar7/Makefile b/target/linux/ar7/Makefile
index 3f40e57..0f6377f 100644
--- a/target/linux/ar7/Makefile
+++ b/target/linux/ar7/Makefile
@@ -13,7 +13,7 @@ FEATURES:=squashfs atm low_mem
 MAINTAINER:=Florian Fainelli <florian@openwrt.org>
 SUBTARGETS:=generic ac49x
 
-LINUX_VERSION:=3.10.49
+KERNEL_PATCHVER:=3.10
 
 include $(INCLUDE_DIR)/target.mk
 
diff --git a/target/linux/ar71xx/Makefile b/target/linux/ar71xx/Makefile
index 1b40074..74bc361 100644
--- a/target/linux/ar71xx/Makefile
+++ b/target/linux/ar71xx/Makefile
@@ -13,7 +13,7 @@ FEATURES:=mips16
 CPU_TYPE=34kc
 SUBTARGETS:=generic nand mikrotik
 
-LINUX_VERSION:=3.10.49
+KERNEL_PATCHVER:=3.10
 
 include $(INCLUDE_DIR)/target.mk
 
diff --git a/target/linux/at91/Makefile b/target/linux/at91/Makefile
index c7e67fe..27ee330 100644
--- a/target/linux/at91/Makefile
+++ b/target/linux/at91/Makefile
@@ -13,7 +13,7 @@ BOARDNAME:=Atmel AT91
 FEATURES:=squashfs targz ext2 usb
 SUBTARGETS:=legacy sama5d3
 
-LINUX_VERSION:=3.14.18
+KERNEL_PATCHVER:=3.14
 
 include $(INCLUDE_DIR)/target.mk
 
diff --git a/target/linux/atheros/Makefile b/target/linux/atheros/Makefile
index 9ebbd34..3983ff7 100644
--- a/target/linux/atheros/Makefile
+++ b/target/linux/atheros/Makefile
@@ -11,7 +11,7 @@ BOARD:=atheros
 BOARDNAME:=Atheros AR231x/AR5312
 FEATURES:=squashfs low_mem
 
-LINUX_VERSION:=3.14.18
+KERNEL_PATCHVER:=3.14
 
 include $(INCLUDE_DIR)/target.mk
 
diff --git a/target/linux/au1000/Makefile b/target/linux/au1000/Makefile
index 9a2e4f5..cb08fb5 100644
--- a/target/linux/au1000/Makefile
+++ b/target/linux/au1000/Makefile
@@ -13,7 +13,7 @@ FEATURES:=squashfs usb pci
 SUBTARGETS=au1500 au1550
 MAINTAINER:=Florian Fainelli <florian@openwrt.org>
 
-LINUX_VERSION:=3.10.49
+KERNEL_PATCHVER:=3.10
 
 include $(INCLUDE_DIR)/target.mk
 DEFAULT_PACKAGES += wpad-mini yamonenv
diff --git a/target/linux/avr32/Makefile b/target/linux/avr32/Makefile
index cd8bd5e..b6802a4 100644
--- a/target/linux/avr32/Makefile
+++ b/target/linux/avr32/Makefile
@@ -12,7 +12,7 @@ BOARDNAME:=Atmel AVR32
 FEATURES:=squashfs
 MAINTAINER:=Imre Kaloz <kaloz@openwrt.org>
 
-LINUX_VERSION:=3.10.49
+KERNEL_PATCHVER:=3.10
 
 include $(INCLUDE_DIR)/target.mk
 
diff --git a/target/linux/bcm53xx/Makefile b/target/linux/bcm53xx/Makefile
index 69f30f8..f47dae8 100644
--- a/target/linux/bcm53xx/Makefile
+++ b/target/linux/bcm53xx/Makefile
@@ -14,7 +14,7 @@ MAINTAINER:=Hauke Mehrtens <hauke@hauke-m.de>
 CPU_TYPE:=cortex-a9
 CPU_SUBTYPE:=vfpv3
 
-LINUX_VERSION:=3.14.18
+KERNEL_PATCHVER:=3.14
 
 include $(INCLUDE_DIR)/target.mk
 
diff --git a/target/linux/brcm2708/Makefile b/target/linux/brcm2708/Makefile
index c8a5536..c6d72bc 100644
--- a/target/linux/brcm2708/Makefile
+++ b/target/linux/brcm2708/Makefile
@@ -15,7 +15,7 @@ MAINTAINER:=Florian Fainelli <florian@openwrt.org>
 CPU_TYPE:=arm1176jzf-s
 CPU_SUBTYPE:=vfp
 
-LINUX_VERSION:=3.14.18
+KERNEL_PATCHVER:=3.14
 
 include $(INCLUDE_DIR)/target.mk
 DEFAULT_PACKAGES += brcm2708-gpu-fw kmod-usb-hid kmod-sound-core kmod-sound-arm-bcm2835
diff --git a/target/linux/brcm47xx/Makefile b/target/linux/brcm47xx/Makefile
index c15ba1c..0100133 100644
--- a/target/linux/brcm47xx/Makefile
+++ b/target/linux/brcm47xx/Makefile
@@ -13,7 +13,7 @@ FEATURES:=squashfs usb
 SUBTARGETS:=generic mips74k legacy
 MAINTAINER:=Hauke Mehrtens <hauke@hauke-m.de>
 
-LINUX_VERSION:=3.14.18
+KERNEL_PATCHVER:=3.14
 
 include $(INCLUDE_DIR)/target.mk
 
diff --git a/target/linux/brcm63xx/Makefile b/target/linux/brcm63xx/Makefile
index c7fdfe6..1ff2eb0 100644
--- a/target/linux/brcm63xx/Makefile
+++ b/target/linux/brcm63xx/Makefile
@@ -11,7 +11,7 @@ BOARD:=brcm63xx
 BOARDNAME:=Broadcom BCM63xx
 SUBTARGETS:=generic smp
 FEATURES:=squashfs usb atm pci pcmcia usbgadget
-LINUX_VERSION:=3.14.18
+KERNEL_PATCHVER:=3.14
 MAINTAINER:=Florian Fainelli <florian@openwrt.org>
 
 include $(INCLUDE_DIR)/target.mk
diff --git a/target/linux/cns21xx/Makefile b/target/linux/cns21xx/Makefile
index a183a21..866030a 100644
--- a/target/linux/cns21xx/Makefile
+++ b/target/linux/cns21xx/Makefile
@@ -12,7 +12,7 @@ BOARDNAME:=Cavium Networks Econa CNS21xx
 FEATURES:=squashfs
 CPU_TYPE:=fa526
 
-LINUX_VERSION:=3.10.49
+KERNEL_PATCHVER:=3.10
 
 include $(INCLUDE_DIR)/target.mk
 
diff --git a/target/linux/cns3xxx/Makefile b/target/linux/cns3xxx/Makefile
index dd5349c..27ed12f 100644
--- a/target/linux/cns3xxx/Makefile
+++ b/target/linux/cns3xxx/Makefile
@@ -14,7 +14,7 @@ CPU_TYPE:=mpcore
 CPU_SUBTYPE:=vfp
 MAINTAINER:=Felix Fietkau <nbd@openwrt.org>
 
-LINUX_VERSION:=3.10.49
+KERNEL_PATCHVER:=3.10
 
 include $(INCLUDE_DIR)/target.mk
 
diff --git a/target/linux/cobalt/Makefile b/target/linux/cobalt/Makefile
index 527d36d..5f0adc2 100644
--- a/target/linux/cobalt/Makefile
+++ b/target/linux/cobalt/Makefile
@@ -14,7 +14,7 @@ CPU_TYPE := 5k
 CPU_CFLAGS_5k := -march=r5000
 MAINTAINER:=Florian Fainelli <florian@openwrt.org>
 
-LINUX_VERSION:=3.3.8
+KERNEL_PATCHVER:=3.3
 
 include $(INCLUDE_DIR)/target.mk
 
diff --git a/target/linux/ep93xx/Makefile b/target/linux/ep93xx/Makefile
index ad7fb31..7e7422b 100644
--- a/target/linux/ep93xx/Makefile
+++ b/target/linux/ep93xx/Makefile
@@ -13,7 +13,7 @@ FEATURES:=squashfs ext4 targz usb display sound
 CPU_TYPE:=arm920t
 MAINTAINER:=Florian Fainelli <florian@openwrt.org>
 
-LINUX_VERSION:=3.8.13
+KERNEL_PATCHVER:=3.8
 
 DEVICE_TYPE:=developerboard
 
diff --git a/target/linux/gemini/Makefile b/target/linux/gemini/Makefile
index 45ae97e..7eb751e 100644
--- a/target/linux/gemini/Makefile
+++ b/target/linux/gemini/Makefile
@@ -13,7 +13,7 @@ FEATURES:=squashfs pci
 CPU_TYPE:=fa526
 MAINTAINER:=Imre Kaloz <kaloz@openwrt.org>
 
-LINUX_VERSION:=3.10.49
+KERNEL_PATCHVER:=3.10
 
 KERNELNAME:=zImage
 
diff --git a/target/linux/imx6/Makefile b/target/linux/imx6/Makefile
index c29187c..a9da7bf 100644
--- a/target/linux/imx6/Makefile
+++ b/target/linux/imx6/Makefile
@@ -14,7 +14,7 @@ CPU_TYPE:=cortex-a9
 CPU_SUBTYPE:=neon
 MAINTAINER:=Luka Perkov <luka@openwrt.org>
 
-LINUX_VERSION:=3.14.18
+KERNEL_PATCHVER:=3.14
 
 include $(INCLUDE_DIR)/target.mk
 
diff --git a/target/linux/iop32x/Makefile b/target/linux/iop32x/Makefile
index 02037d9..1159c74 100644
--- a/target/linux/iop32x/Makefile
+++ b/target/linux/iop32x/Makefile
@@ -12,7 +12,7 @@ BOARDNAME:=Intel IOP32x
 FEATURES:=squashfs broken
 MAINTAINER:=Imre Kaloz <kaloz@openwrt.org>
 
-LINUX_VERSION:=3.3.8
+KERNEL_PATCHVER:=3.3
 
 include $(INCLUDE_DIR)/target.mk
 
diff --git a/target/linux/ipq806x/Makefile b/target/linux/ipq806x/Makefile
index 55a0d72..875bb9c 100644
--- a/target/linux/ipq806x/Makefile
+++ b/target/linux/ipq806x/Makefile
@@ -9,7 +9,7 @@ FEATURES:=squashfs
 CPU_TYPE:=cortex-a7
 MAINTAINER:=John Crispin <blogic@openwrt.org>
 
-LINUX_VERSION:=3.14.18
+KERNEL_PATCHVER:=3.14
 
 KERNELNAME:=Image dtbs
 
diff --git a/target/linux/ixp4xx/Makefile b/target/linux/ixp4xx/Makefile
index 2b249dc..780ca96 100644
--- a/target/linux/ixp4xx/Makefile
+++ b/target/linux/ixp4xx/Makefile
@@ -13,7 +13,7 @@ FEATURES:=squashfs
 MAINTAINER:=Imre Kaloz <kaloz@openwrt.org>
 SUBTARGETS=generic harddisk
 
-LINUX_VERSION:=3.10.49
+KERNEL_PATCHVER:=3.10
 
 include $(INCLUDE_DIR)/target.mk
 
diff --git a/target/linux/kirkwood/Makefile b/target/linux/kirkwood/Makefile
index 4b6d841..bf3c431 100644
--- a/target/linux/kirkwood/Makefile
+++ b/target/linux/kirkwood/Makefile
@@ -13,7 +13,7 @@ FEATURES:=targz usb jffs2_nand nand ubifs
 CPU_TYPE:=xscale
 MAINTAINER:=Imre Kaloz <kaloz@openwrt.org>
 
-LINUX_VERSION:=3.14.18
+KERNEL_PATCHVER:=3.14
 
 include $(INCLUDE_DIR)/target.mk
 
diff --git a/target/linux/lantiq/Makefile b/target/linux/lantiq/Makefile
index f5ba6bf..99075dc 100644
--- a/target/linux/lantiq/Makefile
+++ b/target/linux/lantiq/Makefile
@@ -12,7 +12,7 @@ FEATURES:=squashfs
 SUBTARGETS=xway xrx200
 MAINTAINER:=John Crispin <blogic@openwrt.org>
 
-LINUX_VERSION:=3.14.18
+KERNEL_PATCHVER:=3.14
 
 CPU_TYPE:=mips32r2
 
diff --git a/target/linux/malta/Makefile b/target/linux/malta/Makefile
index e5b16b2..7796754 100644
--- a/target/linux/malta/Makefile
+++ b/target/linux/malta/Makefile
@@ -12,7 +12,7 @@ SUBTARGETS:=le be le64 be64
 INITRAMFS_EXTRA_FILES:=
 MAINTAINER:=Florian Fainelli <florian@openwrt.org>
 
-LINUX_VERSION:=3.10.49
+KERNEL_PATCHVER:=3.10
 
 DEVICE_TYPE:=developerboard
 
diff --git a/target/linux/mcs814x/Makefile b/target/linux/mcs814x/Makefile
index 25c778a..091f74d 100644
--- a/target/linux/mcs814x/Makefile
+++ b/target/linux/mcs814x/Makefile
@@ -13,7 +13,7 @@ FEATURES:=usb squashfs
 CPU_TYPE:=arm926ej-s
 MAINTAINER:=Florian Fainelli <florian@openwrt.org>
 
-LINUX_VERSION:=3.3.8
+KERNEL_PATCHVER:=3.3
 
 DEVICE_TYPE:=other
 
diff --git a/target/linux/mpc52xx/Makefile b/target/linux/mpc52xx/Makefile
index 56f655a..aa3c5a7 100644
--- a/target/linux/mpc52xx/Makefile
+++ b/target/linux/mpc52xx/Makefile
@@ -12,7 +12,7 @@ BOARDNAME:=Freescale MPC52xx
 CPU_TYPE:=603e
 FEATURES:=targz ext4
 
-LINUX_VERSION:=3.8.13
+KERNEL_PATCHVER:=3.8
 
 include $(INCLUDE_DIR)/target.mk
 
diff --git a/target/linux/mpc83xx/Makefile b/target/linux/mpc83xx/Makefile
index 806b8f6..c5ab1e2 100644
--- a/target/linux/mpc83xx/Makefile
+++ b/target/linux/mpc83xx/Makefile
@@ -13,7 +13,7 @@ CPU_TYPE:=603e
 FEATURES:=squashfs targz
 MAINTAINER:=Imre Kaloz <kaloz@openwrt.org>
 
-LINUX_VERSION:=3.8.13
+KERNEL_PATCHVER:=3.8
 
 include $(INCLUDE_DIR)/target.mk
 
diff --git a/target/linux/mpc85xx/Makefile b/target/linux/mpc85xx/Makefile
index 3766968..dba0361 100644
--- a/target/linux/mpc85xx/Makefile
+++ b/target/linux/mpc85xx/Makefile
@@ -14,7 +14,7 @@ FEATURES:=spe_fpu squashfs
 MAINTAINER:=Imre Kaloz <kaloz@openwrt.org>
 SUBTARGETS=generic p1020
 
-LINUX_VERSION:=3.10.49
+KERNEL_PATCHVER:=3.10
 
 include $(INCLUDE_DIR)/target.mk
 
diff --git a/target/linux/mvebu/Makefile b/target/linux/mvebu/Makefile
index dc61e7c..630a330 100644
--- a/target/linux/mvebu/Makefile
+++ b/target/linux/mvebu/Makefile
@@ -14,7 +14,7 @@ CPU_TYPE:=cortex-a9
 CPU_SUBTYPE:=vfpv3
 MAINTAINER:=Luka Perkov <luka@openwrt.org>
 
-LINUX_VERSION:=3.14.18
+KERNEL_PATCHVER:=3.14
 
 include $(INCLUDE_DIR)/target.mk
 
diff --git a/target/linux/mxs/Makefile b/target/linux/mxs/Makefile
index 9f95095..7e5183f 100644
--- a/target/linux/mxs/Makefile
+++ b/target/linux/mxs/Makefile
@@ -13,7 +13,7 @@ FEATURES:=ext4 rtc usb gpio
 CPU_TYPE:=arm926ej-s
 
 MAINTAINER:=Zoltan HERPAI <wigyori@uid0.hu>
-LINUX_VERSION:=3.14.18
+KERNEL_PATCHVER:=3.14
 KERNELNAME:=zImage dtbs
 
 define Target/Description
diff --git a/target/linux/octeon/Makefile b/target/linux/octeon/Makefile
index 507938f..e15aad8 100644
--- a/target/linux/octeon/Makefile
+++ b/target/linux/octeon/Makefile
@@ -14,7 +14,7 @@ CPU_TYPE:=octeon
 CPU_CFLAGS_octeon:=-march=octeon -mabi=64
 MAINTAINER:=John Crispin <blogic@openwrt.org>
 
-LINUX_VERSION:=3.14.18
+KERNEL_PATCHVER:=3.14
 
 include $(INCLUDE_DIR)/target.mk
 
diff --git a/target/linux/omap/Makefile b/target/linux/omap/Makefile
index 3ebfccd..03a2c24 100644
--- a/target/linux/omap/Makefile
+++ b/target/linux/omap/Makefile
@@ -13,7 +13,7 @@ FEATURES:=usb usbgadget ext4 targz fpu audio display nand ubifs
 CPU_TYPE:=cortex-a9
 CPU_SUBTYPE:=vfpv3
 
-LINUX_VERSION:=3.13.7
+KERNEL_PATCHVER:=3.13
 
 MAINTAINER:=Imre Kaloz <kaloz@openwrt.org>
 
diff --git a/target/linux/omap24xx/Makefile b/target/linux/omap24xx/Makefile
index 40ad342..af82384 100644
--- a/target/linux/omap24xx/Makefile
+++ b/target/linux/omap24xx/Makefile
@@ -13,7 +13,7 @@ MAINTAINER:=Michael Buesch <m@bues.ch>
 FEATURES:=targz squashfs jffs2_nand usb usbgadget display gpio audio broken
 CPU_TYPE:=arm1136j-s
 
-LINUX_VERSION:=3.3.8
+KERNEL_PATCHVER:=3.3
 
 define Target/Description
 	TI OMAP-24xx
diff --git a/target/linux/orion/Makefile b/target/linux/orion/Makefile
index ec40a00..6717540 100644
--- a/target/linux/orion/Makefile
+++ b/target/linux/orion/Makefile
@@ -12,7 +12,7 @@ BOARDNAME:=Marvell Orion
 SUBTARGETS:=generic harddisk
 MAINTAINER:=Imre Kaloz <kaloz@openwrt.org>
 
-LINUX_VERSION:=3.10.49
+KERNEL_PATCHVER:=3.10
 
 include $(INCLUDE_DIR)/target.mk
 
diff --git a/target/linux/ppc40x/Makefile b/target/linux/ppc40x/Makefile
index 00e8d43..fee261e 100644
--- a/target/linux/ppc40x/Makefile
+++ b/target/linux/ppc40x/Makefile
@@ -13,7 +13,7 @@ FEATURES:=squashfs
 CPU_TYPE:=405
 MAINTAINER:=Imre Kaloz <kaloz@openwrt.org>
 
-LINUX_VERSION:=3.10.49
+KERNEL_PATCHVER:=3.10
 
 include $(INCLUDE_DIR)/target.mk
 
diff --git a/target/linux/ppc44x/Makefile b/target/linux/ppc44x/Makefile
index 5c2e15d..c36675c 100644
--- a/target/linux/ppc44x/Makefile
+++ b/target/linux/ppc44x/Makefile
@@ -13,7 +13,7 @@ FEATURES:=squashfs broken
 CPU_TYPE:=440
 MAINTAINER:=Imre Kaloz <kaloz@openwrt.org>
 
-LINUX_VERSION:=3.10.49
+KERNEL_PATCHVER:=3.10
 
 include $(INCLUDE_DIR)/target.mk
 
diff --git a/target/linux/pxa/Makefile b/target/linux/pxa/Makefile
index c61231d..2aed3d9 100644
--- a/target/linux/pxa/Makefile
+++ b/target/linux/pxa/Makefile
@@ -12,7 +12,7 @@ BOARDNAME:=Marvell/Intel PXA2xx
 FEATURES:=squashfs
 MAINTAINER:=Imre Kaloz <kaloz@openwrt.org>
 
-LINUX_VERSION:=3.3.8
+KERNEL_PATCHVER:=3.3
 
 include $(INCLUDE_DIR)/target.mk
 
diff --git a/target/linux/ramips/Makefile b/target/linux/ramips/Makefile
index 008e5aa..cf1b9e8 100644
--- a/target/linux/ramips/Makefile
+++ b/target/linux/ramips/Makefile
@@ -13,7 +13,7 @@ SUBTARGETS:=rt305x mt7620a mt7620n mt7621 rt3883 rt288x
 FEATURES:=squashfs gpio
 MAINTAINER:=John Crispin <blogic@openwrt.org>
 
-LINUX_VERSION:=3.14.18
+KERNEL_PATCHVER:=3.14
 
 include $(INCLUDE_DIR)/target.mk
 DEFAULT_PACKAGES += \
diff --git a/target/linux/rb532/Makefile b/target/linux/rb532/Makefile
index e07afc1..0a6bd71 100644
--- a/target/linux/rb532/Makefile
+++ b/target/linux/rb532/Makefile
@@ -11,7 +11,7 @@ BOARD:=rb532
 BOARDNAME:=Mikrotik RouterBoard 532
 FEATURES:=pci targz
 
-LINUX_VERSION:=3.14.18
+KERNEL_PATCHVER:=3.14
 
 include $(INCLUDE_DIR)/target.mk
 DEFAULT_PACKAGES += wpad-mini kmod-ath5k kmod-input-rb532
diff --git a/target/linux/realview/Makefile b/target/linux/realview/Makefile
index 8089207..065c170 100644
--- a/target/linux/realview/Makefile
+++ b/target/linux/realview/Makefile
@@ -14,7 +14,7 @@ CPU_TYPE:=mpcore
 CPU_SUBTYPE:=vfp
 MAINTAINER:=Florian Fainelli <florian@openwrt.org>
 
-LINUX_VERSION:=3.10.49
+KERNEL_PATCHVER:=3.10
 
 DEVICE_TYPE:=developerboard
 
diff --git a/target/linux/sibyte/Makefile b/target/linux/sibyte/Makefile
index 2370cac..a98b170 100644
--- a/target/linux/sibyte/Makefile
+++ b/target/linux/sibyte/Makefile
@@ -14,7 +14,7 @@ CPU_TYPE:=sb1
 CPU_CFLAGS_sb1:=-march=sb1
 MAINTAINER:=Imre Kaloz <kaloz@openwrt.org>
 
-LINUX_VERSION:=3.3.8
+KERNEL_PATCHVER:=3.3
 
 include $(INCLUDE_DIR)/target.mk
 
diff --git a/target/linux/sparc/Makefile b/target/linux/sparc/Makefile
index 0fee7c1..13a5a05 100644
--- a/target/linux/sparc/Makefile
+++ b/target/linux/sparc/Makefile
@@ -11,7 +11,7 @@ BOARD:=sparc
 BOARDNAME:=Sun UltraSPARC
 FEATURES+=fpu tgz ext4 squashfs broken
 
-LINUX_VERSION:=3.10.49
+KERNEL_PATCHVER:=3.10
 MAINTAINER:=Imre Kaloz <kaloz@openwrt.org>
 
 include $(INCLUDE_DIR)/target.mk
diff --git a/target/linux/sunxi/Makefile b/target/linux/sunxi/Makefile
index e96f081..0deb2d8 100644
--- a/target/linux/sunxi/Makefile
+++ b/target/linux/sunxi/Makefile
@@ -15,7 +15,7 @@ CPU_TYPE:=cortex-a8
 CPU_SUBTYPE:=vfpv3
 MAINTAINER:=Zoltan HERPAI <wigyori@uid0.hu>
 
-LINUX_VERSION:=3.14.18
+KERNEL_PATCHVER:=3.14
 KERNELNAME:=zImage dtbs
 DEFAULT_PACKAGES += uboot-envtools uboot-sunxi kmod-eeprom-sunxi kmod-wdt-sunxi
 
diff --git a/target/linux/uml/Makefile b/target/linux/uml/Makefile
index 35290da..eb4fed1 100644
--- a/target/linux/uml/Makefile
+++ b/target/linux/uml/Makefile
@@ -23,7 +23,7 @@ BOARDNAME:=User Mode Linux
 FEATURES:=ext4 audio
 MAINTAINER:=Florian Fainelli <florian@openwrt.org>
 
-LINUX_VERSION:=3.14.18
+KERNEL_PATCHVER:=3.14
 
 include $(INCLUDE_DIR)/target.mk
 
diff --git a/target/linux/x86/Makefile b/target/linux/x86/Makefile
index 32eafdf..13f15c0 100644
--- a/target/linux/x86/Makefile
+++ b/target/linux/x86/Makefile
@@ -13,7 +13,7 @@ FEATURES:=squashfs ext4 vdi vmdk pcmcia targz
 SUBTARGETS=generic olpc xen_domu ep80579 net5501 kvm_guest geos alix2 thincan \
 	   rdc
 
-LINUX_VERSION:=3.10.49
+KERNEL_PATCHVER:=3.10
 
 KERNELNAME:=bzImage
 
diff --git a/target/linux/x86/ep80579/target.mk b/target/linux/x86/ep80579/target.mk
index 4fe35e0..f4bd20a 100644
--- a/target/linux/x86/ep80579/target.mk
+++ b/target/linux/x86/ep80579/target.mk
@@ -1,5 +1,5 @@
 BOARDNAME:=Intel EP80579
-LINUX_VERSION:=3.3.8
+KERNEL_PATCHVER:=3.3
 DEFAULT_PACKAGES += kmod-ep80579-can kmod-ep80579-eth kmod-ep80579-misc \
 			kmod-usb-core kmod-usb2 kmod-usb-hid kmod-usb-uhci
 
diff --git a/target/linux/x86_64/Makefile b/target/linux/x86_64/Makefile
index 73898ec..ca0a05a 100644
--- a/target/linux/x86_64/Makefile
+++ b/target/linux/x86_64/Makefile
@@ -12,7 +12,7 @@ BOARDNAME:=x86_64
 FEATURES:=ext4 vdi vmdk targz
 MAINTAINER:=Imre Kaloz <kaloz@openwrt.org>
 
-LINUX_VERSION:=3.14.18
+KERNEL_PATCHVER:=3.14
 
 KERNELNAME:=bzImage
 
diff --git a/target/linux/xburst/Makefile b/target/linux/xburst/Makefile
index 9289739..64ee7ec 100644
--- a/target/linux/xburst/Makefile
+++ b/target/linux/xburst/Makefile
@@ -12,7 +12,7 @@ BOARDNAME:=Ingenic XBurst
 FEATURES:=targz nand ubifs audio
 SUBTARGETS:=qi_lb60 n516 n526 id800wt
 
-LINUX_VERSION:=3.10.49
+KERNEL_PATCHVER:=3.10
 
 DEVICE_TYPE=other
 
-- 
1.7.2.5