From 216e0bf812497e522bed08fc62fe443a730db8b5 Mon Sep 17 00:00:00 2001
From: Bastian Bittorf <bittorf@bluebottle.com>
Date: Fri, 24 Oct 2014 21:55:41 +0200
Subject: [PATCH] kernel: update 3.10.49 to 3.10.58 (released 2014-oct-15)

All platforms which are using 3.10.x at the moment are upgraded.

Changelogs:
https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.10.50
https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.10.51
https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.10.52
https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.10.53
https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.10.54
https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.10.55
https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.10.56
https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.10.57
https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.10.58

A new symbol 'X86_16BIT' appeared in 3.10.52 with commit 34273f41d57ee8d854dcd2a1d754cbb546cb548f
("x86-espfix-make-it-possible-to-disable-16-bit-support.patch")
I defaults to 'unset', but it's worth a discussion to enable it
("turn off support for any 16-bit software").

Also removed the patch 0db3db45f5bd6df4bdc03bbd5dec672e16164c4e
("fix build failure on memcpy() in decompress.c")
and is obsolete by commit 29593fd5a8149462ed6fad0d522234facdaee6c8 upstream.
included in kernel 3.10.56

compile tested on all platforms with:
make tools/install
make toolchain/install
make target/linux/compile

user@box:~/user/openwrt$ cat /tmp/log.txt
[Wed Oct 22 00:36:02 CEST 2014] ./smoketest.sh: ar71xx - OK
[Wed Oct 22 00:53:22 CEST 2014] ./smoketest.sh: ar7 - OK
[Wed Oct 22 01:08:27 CEST 2014] ./smoketest.sh: au1000 - OK
[Wed Oct 22 01:21:43 CEST 2014] ./smoketest.sh: avr32 - OK
[Wed Oct 22 01:37:47 CEST 2014] ./smoketest.sh: cns21xx - OK
[Wed Oct 22 01:52:05 CEST 2014] ./smoketest.sh: cns3xxx - OK
[Wed Oct 22 02:10:23 CEST 2014] ./smoketest.sh: gemini - OK
[Wed Oct 22 02:29:07 CEST 2014] ./smoketest.sh: ixp4xx - OK
[Wed Oct 22 02:44:01 CEST 2014] ./smoketest.sh: malta - OK
[Wed Oct 22 02:55:57 CEST 2014] ./smoketest.sh: mpc85xx - OK
[Wed Oct 22 03:07:56 CEST 2014] ./smoketest.sh: orion - OK
[Wed Oct 22 03:24:30 CEST 2014] ./smoketest.sh: ppc40x - OK
[Wed Oct 22 03:40:19 CEST 2014] ./smoketest.sh: ppc44x - OK
[Wed Oct 22 03:55:29 CEST 2014] ./smoketest.sh: realview - OK
[Wed Oct 22 04:09:47 CEST 2014] ./smoketest.sh: sparc - OK
[Wed Oct 22 04:23:37 CEST 2014] ./smoketest.sh: x86 - OK
[Wed Oct 22 04:35:56 CEST 2014] ./smoketest.sh: xburst - OK

run tested on x86, au1000, ar71xx, mpc85xx and brcm47xx

Signed-off-by: Bastian Bittorf <bittorf@bluebottle.com>
---
 include/kernel-version.mk                          |    4 +-
 target/linux/generic/config-3.10                   |    1 +
 .../062-mips_decompressor_build_fix.patch          |   66 --------------------
 3 files changed, 3 insertions(+), 68 deletions(-)
 delete mode 100644 target/linux/generic/patches-3.10/062-mips_decompressor_build_fix.patch

diff --git a/include/kernel-version.mk b/include/kernel-version.mk
index 2511e2b..52c49a9 100644
--- a/include/kernel-version.mk
+++ b/include/kernel-version.mk
@@ -4,13 +4,13 @@ LINUX_RELEASE?=1
 
 LINUX_VERSION-3.3  = .8
 LINUX_VERSION-3.8  = .13
-LINUX_VERSION-3.10 = .49
+LINUX_VERSION-3.10 = .58
 LINUX_VERSION-3.13 = .7
 LINUX_VERSION-3.14 = .18
 
 LINUX_KERNEL_MD5SUM-3.3.8   = f1058f64eed085deb44f10cee8541d50
 LINUX_KERNEL_MD5SUM-3.8.13  = 2af19d06cd47ec459519159cdd10542d
-LINUX_KERNEL_MD5SUM-3.10.49 = 9774e12764e740d49c80eda77d0ef3eb
+LINUX_KERNEL_MD5SUM-3.10.58 = 3ff3478b6351143cef22d4b81cf48b01
 LINUX_KERNEL_MD5SUM-3.13.7  = 370adced5e5c1cb1d0d621c2dae2723f
 LINUX_KERNEL_MD5SUM-3.14.18 = 3b002a06d0964d8101abec768c2d4eef
 
diff --git a/target/linux/generic/config-3.10 b/target/linux/generic/config-3.10
index ab72ead..5df8901 100644
--- a/target/linux/generic/config-3.10
+++ b/target/linux/generic/config-3.10
@@ -3990,6 +3990,7 @@ CONFIG_WLAN=y
 # CONFIG_WL_TI is not set
 # CONFIG_WR_PPMC is not set
 # CONFIG_X25 is not set
+# CONFIG_X86_16BIT is not set
 CONFIG_XFRM=y
 # CONFIG_XFRM_IPCOMP is not set
 # CONFIG_XFRM_MIGRATE is not set
diff --git a/target/linux/generic/patches-3.10/062-mips_decompressor_build_fix.patch b/target/linux/generic/patches-3.10/062-mips_decompressor_build_fix.patch
deleted file mode 100644
index 52c45c3..0000000
--- a/target/linux/generic/patches-3.10/062-mips_decompressor_build_fix.patch
+++ /dev/null
@@ -1,66 +0,0 @@
-From 0db3db45f5bd6df4bdc03bbd5dec672e16164c4e Mon Sep 17 00:00:00 2001
-From: Florian Fainelli <florian@openwrt.org>
-Date: Mon, 12 Nov 2012 12:31:55 +0100
-Subject: [PATCH] MIPS: decompressor: fix build failure on memcpy() in
- decompress.c
-
-The decompress.c file includes linux/kernel.h which causes the following
-inclusion chain to be pulled:
-linux/kernel.h ->
-	linux/dynamic_debug.h ->
-		linux/string.h ->
-			asm/string.h
-
-We end up having a the GCC builtin + architecture specific memcpy() expanding
-into this:
-
-void *({ size_t __len = (size_t n); void *__ret; if
-(__builtin_constant_p(size_t n) && __len >= 64) __ret = memcpy((void *dest),
-(const void *src), __len); else __ret = __builtin_memcpy((void *dest), (const
-void *src), __len); __ret; })
-{
- [memcpy implementation in decompress.c starts here]
- int i;
- const char *s = src;
- char *d = dest;
-
- for (i = 0; i < n; i++)
-  d[i] = s[i];
- return dest;
-}
-
-raising the following compilation error:
-arch/mips/boot/compressed/decompress.c:46:8: error: expected identifier or '('
-before '{' token
-
-There are at least three possibilities to fix this issue:
-
-1) define _LINUX_STRING_H_ at the beginning of decompress.c to prevent
-   further linux/string.h definitions and declarations from being used, and add
-   an explicit strstr() declaration for linux/dynamic_debug.h
-
-2) remove the inclusion of linux/kernel.h because we actually use no definition
-   or declaration from this header file
-
-3) undefine memcpy or re-define memcpy to memcpy thus resulting in picking up
-   the local memcpy() implementation to this compilation unit
-
-This patch uses the second option which is the less intrusive one.
-
-Signed-off-by: Florian Fainelli <florian@openwrt.org>
----
- arch/mips/boot/compressed/decompress.c |    2 --
- 1 file changed, 2 deletions(-)
-
---- a/arch/mips/boot/compressed/decompress.c
-+++ b/arch/mips/boot/compressed/decompress.c
-@@ -10,9 +10,7 @@
-  * Free Software Foundation;  either version 2 of the  License, or (at your
-  * option) any later version.
-  */
--
- #include <linux/types.h>
--#include <linux/kernel.h>
- 
- #include <asm/addrspace.h>
- 
-- 
1.7.2.5