From 5fe739fa722dcb09fd0eea63f065338b78b1390e Mon Sep 17 00:00:00 2001
From: Bastian Bittorf <bittorf@bluebottle.com>
Date: Fri, 17 Oct 2014 04:27:38 -0400
Subject: [PATCH 5/9] [ar71xx/kernel] upgrade 3.10.53 to 3.10.54 - released
 2014-09-05

[ar71xx/kernel] upgrade 3.10.53 to 3.10.54 - released 2014-09-05

compile tested.

shortlog from https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.10.54

ALSA: hda/ca0132 - Don't try loading firmware at resume when already failed
ALSA: hda - fix an external mic jack problem on a HP machine
ALSA: hda/realtek - Avoid setting wrong COEF on ALC269 & co
ALSA: virtuoso: add Xonar Essence STX II support
ARM: OMAP2+: hwmod: Rearm wake-up interrupts for DT when MUSB is idled
ARM: OMAP3: Fix choice of omap3_restore_es function in OMAP34XX rev3.1.2 case.
Btrfs: fix csum tree corruption, duplicate and outdated checksums
crypto: ux500 - make interrupt mode plausible
drivers/i2c/busses: use correct type for dma_map/unmap
drm: omapdrm: fix compiler errors
drm/radeon: add additional SI pci ids
ext4: fix BUG_ON in mb_free_blocks()
ext4: fix ext4_discard_allocated_blocks() if we can't allocate the pa struct
HID: fix a couple of off-by-ones
HID: logitech: perform bounds checking on device_id early enough
hpsa: fix bad -ENOMEM return value in hpsa_big_passthru_ioctl
hwmon: (ads1015) Fix off-by-one for valid channel index checking
hwmon: (ads1015) Fix out-of-bounds array access
hwmon: (dme1737) Prevent overflow problem when writing large limits
hwmon: (gpio-fan) Prevent overflow problem when writing large limits
hwmon: (lm78) Fix overflow problems seen when writing large temperature limits
hwmon: (lm85) Fix various errors on attribute writes
hwmon: (sis5595) Prevent overflow problem when writing large limits
isofs: Fix unbounded recursion when processing relocated directories
jbd2: fix infinite loop when recovering corrupt journal blocks
kvm: iommu: fix the third parameter of kvm_iommu_put_pages (CVE-2014-3601)
KVM: nVMX: fix "acknowledge interrupt on exit" when APICv is in use
KVM: x86: always exit on EOIs for interrupts listed in the IOAPIC redir table
KVM: x86: Inter-privilege level ret emulation is not implemeneted
mei: nfc: fix memory leak in error path
mei: reset client state on queued connect request
mei: start disconnect request timer consistently
NFSD: Decrease nfsd_users in nfsd_startup_generic fail
NFSv3: Fix another acl regression
NFSv4: Fix problems with close in the presence of a delegation
Revert "KVM: x86: Increase the number of fixed MTRR regs to 10"
serial: core: Preserve termios c_cflag for console resume
stable_kernel_rules: Add pointer to netdev-FAQ for network patches
Staging: speakup: Update __speakup_paste_selection() tty (ab)usage to match vt
svcrdma: Select NFSv4.1 backchannel transport based on forward channel
USB: ehci-pci: USB host controller support for Intel Quark X1000
USB: fix build error with CONFIG_PM_RUNTIME disabled
USB: Fix persist resume of some SS USB devices
USB: ftdi_sio: add Basic Micro ATOM Nano USB2Serial PID
USB: ftdi_sio: Added PID for new ekey device
usb: hub: Prevent hub autosuspend if usbcore.autosuspend is -1
USB: OHCI: don't lose track of EDs when a controller dies
USB: serial: ftdi_sio: Add support for new Xsens devices
USB: serial: ftdi_sio: Annotate the current Xsens PID assignments
USB: whiteheat: Added bounds checking for bulk command response
usb: xhci: amd chipset also needs short TX quirk
x86_64/vsyscall: Fix warn_bad_vsyscall log output
x86/debug: Add KERN_<LEVEL> to bare printks, convert printks to pr_<level>
x86: don't exclude low BIOS area when allocating address space for non-PCI cards
x86/efi: Enforce CONFIG_RELOCATABLE for EFI boot stub
xhci: Treat not finding the event_seg on COMP_STOP the same as COMP_STOP_INVAL

Signed-off-by: Bastian Bittorf <bittorf@bluebottle.com>
---
 target/linux/ar71xx/Makefile |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/target/linux/ar71xx/Makefile b/target/linux/ar71xx/Makefile
index cf3a888..c363f1f 100644
--- a/target/linux/ar71xx/Makefile
+++ b/target/linux/ar71xx/Makefile
@@ -13,7 +13,7 @@ FEATURES:=mips16
 CPU_TYPE=34kc
 SUBTARGETS:=generic nand mikrotik
 
-LINUX_VERSION:=3.10.53
+LINUX_VERSION:=3.10.54
 
 include $(INCLUDE_DIR)/target.mk
 
-- 
1.7.10.4