From 4a4f54a3f33a4601c9475db2cb22096604caa901 Mon Sep 17 00:00:00 2001
From: Bastian Bittorf <bittorf@bluebottle.com>
Date: Fri, 17 Oct 2014 04:35:38 -0400
Subject: [PATCH 6/9] [ar71xx/kernel] upgrade 3.10.54 to 3.10.55 - released
 2014-09-17

[ar71xx/kernel] upgrade 3.10.54 to 3.10.55 - released 2014-09-17

compile tested. runtime tested.

shortlog from https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.10.55

ACPICA: Utilities: Fix memory leak in acpi_ut_copy_iobject_to_iobject
ACPI / cpuidle: fix deadlock between cpuidle_lock and cpu_hotplug.lock
ACPI: Run fixed event device notifications in process context
ASoC: max98090: Fix missing free_irq
ASoC: pcm: fix dpcm_path_put in dpcm runtime update
ASoC: pxa-ssp: drop SNDRV_PCM_FMTBIT_S24_LE
ASoC: samsung: Correct I2S DAI suspend/resume ops
ASoC: wm_adsp: Add missing MODULE_LICENSE
bfa: Fix undefined bit shift on big-endian architectures with 32-bit DMA address
blkcg: don't call into policy draining if root_blkg is already gone
Bluetooth: Avoid use of session socket after the session gets freed
Bluetooth: never linger on process exit
CAPABILITIES: remove undefined caps from all processes
CIFS: Fix async reading on reconnects
CIFS: Fix STATUS_CANNOT_DELETE error mapping for SMB2
CIFS: Fix wrong directory attributes after rename
CIFS: Fix wrong filename length for SMB2
CIFS: Fix wrong restart readdir for SMB1
CIFS: Possible null ptr deref in SMB2_tcon
dcache.c: get rid of pointless macros
drivers: scsi: storvsc: Correctly handle TEST_UNIT_READY failure
Drivers: scsi: storvsc: Implement a eh_timed_out handler
firmware: Do not use WARN_ON(!spin_is_locked())
IB/srp: Fix deadlock between host removal and multipathd
iommu/amd: Fix cleanup_domain for mass device removal
kernel/smp.c:on_each_cpu_cond(): fix warning in fallback path
libceph: add process_one_ticket() helper
libceph: do not hard code max auth ticket len
libceph: gracefully handle large reply messages from the mon
libceph: rename ceph_msg::front_max to front_alloc_len
libceph: set last_piece in ceph_msg_data_pages_cursor_init() correctly
md/raid10: Fix memory leak when raid10 reshape completes.
md/raid10: fix memory leak when reshaping a RAID10.
md/raid1,raid10: always abort recover on write error.
md/raid6: avoid data corruption during recovery of double-degraded RAID6
media: au0828: Only alt setting logic when needed
media: media-device: Remove duplicated memset() in media_enum_entities()
media: xc4000: Fix get_frequency()
media: xc5000: Fix get_frequency()
mfd: omap-usb-host: Fix improper mask use.
MIPS: asm/reg.h: Make 32- and 64-bit definitions available at the same time
MIPS: asm: thread_info: Add _TIF_SECCOMP flag
MIPS: Cleanup flags in syscall flags handlers.
MIPS: Fix accessing to per-cpu data when flushing the cache
MIPS: GIC: Prevent array overrun
MIPS: OCTEON: make get_system_type() thread-safe
MIPS: Prevent user from setting FCSR cause bits
MIPS: Remove BUG_ON(!is_fpu_owner()) in do_ade()
MIPS: tlbex: Fix a missing statement for HUGETLB
mnt: Add tests for unprivileged remount cases that have found to be faulty
mnt: Change the default remount atime from relatime to the existing value
mnt: Correct permission checks in do_remount
mnt: Move the test for MNT_LOCK_READONLY from change_mount_flags into do_remount
mnt: Only change user settable mount flags in remount
mtd/ftl: fix the double free of the buffers allocated in build_maps()
mtd: nand: omap: Fix 1-bit Hamming code scheme, omap_calculate_ecc()
openrisc: Rework signal handling
powerpc/mm/numa: Fix break placement
powerpc/mm: Use read barrier when creating real_pte
powerpc/pseries: Failure on removing device node
RDMA/iwcm: Use a default listen backlog if needed
regulator: arizona-ldo1: remove bypass functionality
ring-buffer: Always reset iterator to reader page
ring-buffer: Up rb_iter_peek() loop count to 3
spi: omap2-mcspi: Configure hardware when slave driver changes mode
spi: orion: fix incorrect handling of cell-index DT property
tpm: missing tpm_chip_put in tpm_get_random()
tpm: Provide a generic means to override the chip returned timeouts
vfs: fix bad hashing of dentries
xfs: don't dirty buffers beyond EOF
xfs: don't zero partial page cache pages during O_DIRECT writes
xfs: don't zero partial page cache pages during O_DIRECT writes
xfs: quotacheck leaves dquot buffers without verifiers

Signed-off-by: Bastian Bittorf <bittorf@bluebottle.com>
---
 target/linux/ar71xx/Makefile |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/target/linux/ar71xx/Makefile b/target/linux/ar71xx/Makefile
index c363f1f..7b46be7 100644
--- a/target/linux/ar71xx/Makefile
+++ b/target/linux/ar71xx/Makefile
@@ -13,7 +13,7 @@ FEATURES:=mips16
 CPU_TYPE=34kc
 SUBTARGETS:=generic nand mikrotik
 
-LINUX_VERSION:=3.10.54
+LINUX_VERSION:=3.10.55
 
 include $(INCLUDE_DIR)/target.mk
 
-- 
1.7.10.4