From 3bc18fe87892b49b8293e74689a45cbcd9df8c9c Mon Sep 17 00:00:00 2001
From: Bastian Bittorf <bittorf@bluebottle.com>
Date: Fri, 17 Oct 2014 04:54:30 -0400
Subject: [PATCH 7/9] [ar71xx/kernel] upgrade 3.10.55 to 3.10.56 - released
 2014-10-05

[ar71xx/kernel] upgrade 3.10.55 to 3.10.56 - released 2014-10-05

removed 062-mips_decompressor_build_fix.patch, which seems to be obsolete
because of commit 29593fd5a8149462ed6fad0d522234facdaee6c8 upstream

compile tested.

shortlog from https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.10.56

ACPICA: Tables: Fix table checksums verification before installation.
ACPICA: Update to GPIO region handler interface.
ahci: Add Device IDs for Intel 9 Series PCH
ahci: add pcid for Marvel 0x9182 controller
alarmtimer: Do not signal SIGEV_NONE timers
alarmtimer: Lock k_itimer during timer callback
ALSA: core: fix buffer overflow in snd_info_get_line()
ALSA: hda - Fix COEF setups for ALC1150 codec
ALSA: hda - Fix invalid pin powermap without jack detection
ALSA: pcm: fix fifo_size frame calculation
arm64: flush TLS registers during exec
arm64: ptrace: fix compat hardware watchpoint reporting
ARM: 7748/1: oabi: handle faults when loading swi instruction from userspace
ARM: 7897/1: kexec: Use the right ISA for relocate_new_kernel
ARM: 8128/1: abort: don't clear the exclusive monitors
ARM: 8133/1: use irq_set_affinity with force=false when migrating irqs
ARM: 8165/1: alignment: don't break misaligned NEON load/store
arm: multi_v7_defconfig: Enable Zynq UART driver
ASoC: davinci-mcasp: Correct rx format unit configuration
ata_piix: Add Device IDs for Intel 9 Series PCH
block: Fix dev_t minor allocation lifetime
carl9170: fix sending URBs with wrong type when using full-speed
cfq-iosched: Fix wrong children_weight calculation
CIFS: Fix directory rename error
CIFS: Fix SMB2 readdir error handling
CPU: 0 PID: 0 Comm: swapper Not tainted 3.17.0-rc1+ #204
dm crypt: fix access beyond the end of allocated space
drm/ast: AST2000 cannot be detected correctly
drm/i915: Kill vblank waits after pipe enable on gmch platforms
drm/i915: read HEAD register back in init_ring_common() to enforce ordering
drm/i915: Remove bogus __init annotation from DMI callbacks
drm/i915: Wait for vblank before enabling the TV encoder
drm/radeon: add connector quirk for fujitsu board
drm/radeon: load the lm63 driver for an lm64 thermal chip.
drm/tilcdc: fix double kfree
drm/tilcdc: fix release order on exit
drm/tilcdc: panel: fix dangling sysfs connector node
drm/tilcdc: panel: fix leak when unloading the module
drm/tilcdc: slave: fix dangling sysfs connector node
drm/tilcdc: tfp410: fix dangling sysfs connector node
drm/ttm: Choose a pool to shrink correctly in ttm_dma_pool_shrink_scan().
drm/ttm: Fix possible division by 0 in ttm_dma_pool_shrink_scan().
drm/vmwgfx: Fix a potential infinite spin waiting for fifo idle
ext2: Fix fs corruption in ext2_get_xip_mem()
fs/notify: don't show f_handle if exportfs_encode_inode_fh failed
fsnotify/fdinfo: use named constants instead of hardcoded values
genhd: fix leftover might_sleep() in blk_free_devt()
Hardware name: Hewlett-Packard HP Z420 Workstation/1589, BIOS J61 v03.15 05/09/2013
HID: logitech-dj: prevent false errors to be shown
HID: magicmouse: sanity check report size in raw_event() callback
HID: picolcd: sanity check report size in raw_event() callback
i2c: at91: add bound checking on SMBus block length bytes
i2c: at91: Fix a race condition during signal handling in at91_do_twi_xfer.
ibmveth: Fix endian issues with rx_no_buffer statistic
iio: adc: ad_sigma_delta: Fix indio_dev->trig assignment
iio: gyro: itg3200: Fix indio_dev->trig assignment
iio:inkern: fix overwritten -EPROBE_DEFER in of_iio_channel_get_by_name
iio: inv_mpu6050: Fix indio_dev->trig assignment
iio:magnetometer: bugfix magnetometers gain values
iio: meter: ade7758: Fix indio_dev->trig assignment
iio: st_sensors: Fix indio_dev->trig assignment
iio:trigger: modify return value for iio_trigger_get
Input: atkbd - do not try 'deactivate' keyboard on any LG laptops
Input: elantech - fix detection of touchpad on ASUS s301l
Input: i8042 - add Fujitsu U574 to no_timeout dmi table
Input: i8042 - add nomux quirk for Avatar AVIU-145A6
Input: serport - add compat handling for SPIOCSTYPE ioctl
Input: synaptics - add support for ForcePads
ipvs: avoid netns exit crash on ip_vs_conn_drop_conntrack
ipvs: fix ipv6 hook registration for local replies
ipvs: Maintain all DSCP and ECN bits for ipv6 tun forwarding
iscsi-target: avoid NULL pointer in iscsi_copy_param_list failure
iscsi-target: Fix memory corruption in iscsit_logout_post_handler_diffcid
kcmp: fix standard comparison bug
kernel/fork.c:copy_process(): unify CLONE_THREAD-or-thread_group_leader code
KVM: x86: handle idiv overflow at kvm_write_tsc
lockd: fix rpcbind crash on lockd startup failure
md/raid1: fix_read_error should act on all non-faulty devices.
media: cx18: fix kernel oops with tda8290 tuner
MIPS: mcount: Adjust stack pointer for static trace in MIPS32
MIPS: ZBOOT: add missing <linux/string.h> include
netfilter: nf_conntrack: avoid large timeout for mid-stream pickup
NFC: microread: Potential overflows in microread_target_discovered()
NFSv4: Fix another bug in the close/open_downgrade code
NFSv4: nfs4_state_manager() vs. nfs_server_remove_lists()
nilfs2: fix data loss with mmap()
ocfs2/dlm: do not get resource spinlock if lockres is new
oom_kill: add rcu_read_lock() into find_lock_task_mm()
oom_kill: change oom_kill.c to use for_each_thread()
oom_kill: has_intersects_mems_allowed() needs rcu_read_lock()
parisc: Only use -mfast-indirect-calls option for 32-bit kernel builds
pata_scc: propagate return value of scc_wait_after_reset
percpu: fix pcpu_alloc_pages() failure path
percpu: free percpu allocation info for uniprocessor system
percpu: perform tlb flush after pcpu_map_pages() failure
perf: Fix a race condition in perf_remove_from_context()
perf kmem: Make it work again on non NUMA machines
PM / sleep: Add state field to pm_states[] entries
PM / sleep: Use valid_state() for platform-dependent sleep states only
powerpc/perf: Fix ABIv2 kernel backtraces
regmap: Fix handling of volatile registers for format_write() chips
Revert "iwlwifi: dvm: don't enable CTS to self"
Revert "mac80211: disable uAPSD if all ACs are under ACM"
Revert "USB: option,zte_ev: move most ZTE CDMA devices to zte_ev"
rtlwifi: rtl8192cu: Add new ID
sched: Fix unreleased llc_shared_mask bit during CPU hotplug
SCSI: libiscsi: fix potential buffer overrun in __iscsi_conn_send_pdu
serial: 8250_dma: check the result of TX buffer mapping
shmem: fix nlink for rename overwrite directory
storage: Add single-LUN quirk for Jaz USB Adapter
Target/iser: Don't put isert_conn inside disconnected handler
Target/iser: Get isert_conn reference once got to connected_handler
trace: Fix epoll hang when we race with new entries
usb: dwc3: core: fix ordering for PHY suspend
usb: dwc3: core: fix order of PM runtime calls
usb: dwc3: omap: fix ordering for runtime pm calls
USB: EHCI: unlink QHs even after the controller has stopped
USB: ftdi_sio: add support for NOVITUS Bono E thermal printer
usb: host: xhci: fix compliance mode workaround
usb: hub: take hub->hdev reference when processing from eventlist
USB: option: add VIA Telecom CDS7 chipset device id
USB: option: reduce interrupt-urb logging verbosity
USB: serial: fix potential heap buffer overflow
USB: serial: fix potential stack buffer overflow
USB: serial: pl2303: add device id for ztek device
USB: sierra: add 1199:68AA device ID
USB: sierra: avoid CDC class functions on "68A3" devices
USB: sisusb: add device id for Magic Control USB video
USB: storage: Add quirk for Adaptec USBConnect 2000 USB-to-SCSI Adapter
USB: storage: Add quirk for Ariston Technologies iConnect USB to SCSI adapter
USB: storage: Add quirks for Entrega/Xircom USB to SCSI converters
USB: zte_ev: fix removed PIDs
USB: zte_ev: remove duplicate Gobi PID
USB: zte_ev: remove duplicate Qualcom PID
vm_is_stack: use for_each_thread() rather then buggy while_each_thread()
WARNING: CPU: 0 PID: 0 at mm/early_ioremap.c:116 __early_ioremap+0x90/0x1c4()
workqueue: apply __WQ_ORDERED to create_singlethread_workqueue()
x86 early_ioremap: Increase FIX_BTMAPS_SLOTS to 8
xhci: Fix null pointer dereference if xhci initialization fails
xhci: fix oops when xhci resumes from hibernate with hw lpm capable devices
xtensa: fix a6 and a7 handling in fast_syscall_xtensa
xtensa: fix access to THREAD_RA/THREAD_SP/THREAD_DS
xtensa: fix address checks in dma_{alloc,free}_coherent
xtensa: fix TLBTEMP_BASE_2 region handling in fast_second_level_miss
xtensa: replace IOCTL code definitions with constants

Signed-off-by: Bastian Bittorf <bittorf@bluebottle.com>
---
 target/linux/ar71xx/Makefile                       |    2 +-
 .../062-mips_decompressor_build_fix.patch          |   66 --------------------
 2 files changed, 1 insertion(+), 67 deletions(-)
 delete mode 100644 target/linux/generic/patches-3.10/062-mips_decompressor_build_fix.patch

diff --git a/target/linux/ar71xx/Makefile b/target/linux/ar71xx/Makefile
index 7b46be7..95e080b 100644
--- a/target/linux/ar71xx/Makefile
+++ b/target/linux/ar71xx/Makefile
@@ -13,7 +13,7 @@ FEATURES:=mips16
 CPU_TYPE=34kc
 SUBTARGETS:=generic nand mikrotik
 
-LINUX_VERSION:=3.10.55
+LINUX_VERSION:=3.10.56
 
 include $(INCLUDE_DIR)/target.mk
 
diff --git a/target/linux/generic/patches-3.10/062-mips_decompressor_build_fix.patch b/target/linux/generic/patches-3.10/062-mips_decompressor_build_fix.patch
deleted file mode 100644
index 52c45c3..0000000
--- a/target/linux/generic/patches-3.10/062-mips_decompressor_build_fix.patch
+++ /dev/null
@@ -1,66 +0,0 @@
-From 0db3db45f5bd6df4bdc03bbd5dec672e16164c4e Mon Sep 17 00:00:00 2001
-From: Florian Fainelli <florian@openwrt.org>
-Date: Mon, 12 Nov 2012 12:31:55 +0100
-Subject: [PATCH] MIPS: decompressor: fix build failure on memcpy() in
- decompress.c
-
-The decompress.c file includes linux/kernel.h which causes the following
-inclusion chain to be pulled:
-linux/kernel.h ->
-	linux/dynamic_debug.h ->
-		linux/string.h ->
-			asm/string.h
-
-We end up having a the GCC builtin + architecture specific memcpy() expanding
-into this:
-
-void *({ size_t __len = (size_t n); void *__ret; if
-(__builtin_constant_p(size_t n) && __len >= 64) __ret = memcpy((void *dest),
-(const void *src), __len); else __ret = __builtin_memcpy((void *dest), (const
-void *src), __len); __ret; })
-{
- [memcpy implementation in decompress.c starts here]
- int i;
- const char *s = src;
- char *d = dest;
-
- for (i = 0; i < n; i++)
-  d[i] = s[i];
- return dest;
-}
-
-raising the following compilation error:
-arch/mips/boot/compressed/decompress.c:46:8: error: expected identifier or '('
-before '{' token
-
-There are at least three possibilities to fix this issue:
-
-1) define _LINUX_STRING_H_ at the beginning of decompress.c to prevent
-   further linux/string.h definitions and declarations from being used, and add
-   an explicit strstr() declaration for linux/dynamic_debug.h
-
-2) remove the inclusion of linux/kernel.h because we actually use no definition
-   or declaration from this header file
-
-3) undefine memcpy or re-define memcpy to memcpy thus resulting in picking up
-   the local memcpy() implementation to this compilation unit
-
-This patch uses the second option which is the less intrusive one.
-
-Signed-off-by: Florian Fainelli <florian@openwrt.org>
----
- arch/mips/boot/compressed/decompress.c |    2 --
- 1 file changed, 2 deletions(-)
-
---- a/arch/mips/boot/compressed/decompress.c
-+++ b/arch/mips/boot/compressed/decompress.c
-@@ -10,9 +10,7 @@
-  * Free Software Foundation;  either version 2 of the  License, or (at your
-  * option) any later version.
-  */
--
- #include <linux/types.h>
--#include <linux/kernel.h>
- 
- #include <asm/addrspace.h>
- 
-- 
1.7.10.4