From 0d2c8078d973e6bec1258d6f915ea28ad7d510cb Mon Sep 17 00:00:00 2001
From: Bastian Bittorf <bittorf@bluebottle.com>
Date: Fri, 17 Oct 2014 06:37:29 -0400
Subject: [PATCH 9/9] [ar71xx/kernel] upgrade 3.10.57 to 3.10.58 - released
 2014-10-15

[ar71xx/kernel] upgrade 3.10.57 to 3.10.58 - released 2014-10-15

compile tested. runtime tested:

root@box:~ dmesg
[    0.000000] Linux version 3.10.58 (automat@bittorf-wireless.de) (gcc version 4.8.3 (OpenWrt/Linaro GCC 4.8-2014.04 r42861) ) #2 Fri Oct 17 06:26:27 EDT 2014
[    0.000000] MyLoader: sysp=aaaaaa2a, boardp=22aaaba8, parts=2aaaaaaa
[    0.000000] bootconsole [early0] enabled
[    0.000000] CPU revision is: 00019374 (MIPS 24Kc)
[    0.000000] SoC: Atheros AR9132 rev 2
[    0.000000] Clocks: CPU:400.000MHz, DDR:400.000MHz, AHB:200.000MHz, Ref:5.000MHz
[    0.000000] Determined physical RAM map:
[    0.000000]  memory: 02000000 @ 00000000 (usable)
[    0.000000] Initrd not found or empty - disabling initrd
[    0.000000] Zone ranges:
[    0.000000]   Normal   [mem 0x00000000-0x01ffffff]
[    0.000000] Movable zone start for each node
[    0.000000] Early memory node ranges
[    0.000000]   node   0: [mem 0x00000000-0x01ffffff]
[    0.000000] On node 0 totalpages: 8192
[    0.000000] free_area_init_node: node 0, pgdat 803149b0, node_mem_map 81000000
[    0.000000]   Normal zone: 64 pages used for memmap
[    0.000000]   Normal zone: 0 pages reserved
[    0.000000]   Normal zone: 8192 pages, LIFO batch:0
[    0.000000] Primary instruction cache 64kB, VIPT, 4-way, linesize 32 bytes.
[    0.000000] Primary data cache 32kB, 4-way, VIPT, cache aliases, linesize 32 bytes
[    0.000000] pcpu-alloc: s0 r0 d32768 u32768 alloc=1*32768
[    0.000000] pcpu-alloc: [0] 0
[    0.000000] Built 1 zonelists in Zone order, mobility grouping on.  Total pages: 8128
[    0.000000] Kernel command line:  board=TL-WR1043ND console=ttyS0,115200 rootfstype=squashfs,jffs2 noinitrd
[    0.000000] PID hash table entries: 128 (order: -3, 512 bytes)
[    0.000000] Dentry cache hash table entries: 4096 (order: 2, 16384 bytes)
[    0.000000] Inode-cache hash table entries: 2048 (order: 1, 8192 bytes)
[    0.000000] Writing ErrCtl register=00000000
[    0.000000] Readback ErrCtl register=00000000
[    0.000000] Memory: 28720k/32768k available (2255k kernel code, 4048k reserved, 603k data, 276k init, 0k highmem)
[    0.000000] SLUB: HWalign=32, Order=0-3, MinObjects=0, CPUs=1, Nodes=1
[    0.000000] NR_IRQS:51
[    0.080000] Calibrating delay loop... 265.42 BogoMIPS (lpj=1327104)
[    0.080000] pid_max: default: 32768 minimum: 301
[    0.080000] Mount-cache hash table entries: 512
[    0.090000] NET: Registered protocol family 16
[    0.100000] MIPS: machine is TP-LINK TL-WR1043ND
[...]

shortlog from https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.10.58

hyperv: Fix a bug in netvsc_start_xmit()
ip6_gre: fix flowi6_proto value in xmit path
ipv6: reallocate addrconf router for ipv6 address when lo device up
l2tp: fix race while getting PMTU on PPP pseudo-wire
myri10ge: check for DMA mapping errors
openvswitch: fix panic with multiple vlan headers
packet: handle too big packets for PACKET_V3
sctp: handle association restarts when the socket is closed.
sit: Fix ipip6_tunnel_lookup device matching criteria
tcp: fixing TLP's FIN recovery
tcp: fix tcp_release_cb() to dispatch via address family for mtu_reduced()
tg3: Allow for recieve of full-size 8021AD frames
tg3: Work around HW/FW limitations with vlan encapsulated frames
USB: Add device quirk for ASUS T100 Base Station keyboard
USB: cp210x: add support for Seluxit USB dongle
USB: serial: cp210x: added Ketra N1 wireless interface support

Signed-off-by: Bastian Bittorf <bittorf@bluebottle.com>
---
 target/linux/ar71xx/Makefile |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/target/linux/ar71xx/Makefile b/target/linux/ar71xx/Makefile
index 9d94e0b..0bf1ed1 100644
--- a/target/linux/ar71xx/Makefile
+++ b/target/linux/ar71xx/Makefile
@@ -13,7 +13,7 @@ FEATURES:=mips16
 CPU_TYPE=34kc
 SUBTARGETS:=generic nand mikrotik
 
-LINUX_VERSION:=3.10.57
+LINUX_VERSION:=3.10.58
 
 include $(INCLUDE_DIR)/target.mk
 
-- 
1.7.10.4